Page MenuHomewrite.as

Add post fetching in JSON format at /api/posts/{id}
Closed, ResolvedPublic

Description

Should include ability to get only metadata about post with ?meta=true

Related Objects

StatusAssignedTask
Openmatt
Resolvedmatt

Event Timeline

matt created this task.Aug 20 2015, 10:02 PM
matt updated the task description. (Show Details)
matt raised the priority of this task from to High.
matt claimed this task.
matt added a project: API.
matt moved this task to Backlog on the API board.
matt changed the visibility from "All Users" to "Public (No Login Required)".
matt added a parent task: Restricted Maniphest Task.
matt added a subscriber: matt.
matt moved this task from Backlog to In Progress on the API board.Aug 21 2015, 10:16 PM
matt moved this task from In Progress to Live on the API board.Aug 27 2015, 11:17 PM
matt moved this task from Live to Done on the API board.Aug 28 2015, 8:42 PM
matt lowered the priority of this task from High to Low.Sep 15 2015, 2:52 PM
matt closed this task as Resolved.Oct 3 2015, 5:54 PM

?meta=1 is unsupported, as it'll require copying a lot of code just to exclude the content column from the query. If we're reducing bandwidth to the client, we might as well minimize it on the backend as well. Moved that requirement to T176: Support fetching metadata only on posts.

matt moved this task from Done to Live on the API board.Jun 30 2016, 12:02 AM